propack 缓冲区溢出代码执行漏洞

CVE编号

CVE-2004-1307

利用情况

暂无

补丁情况

N/A

披露时间

2004-12-21
漏洞描述
libtiff 3.6.1的tif_dirread.c中TIFFFetchStripThing函数中的整数溢出允许远程攻击者通过具有STRIPOFFSETS标志和大量数据条的TIFF文件执行任意代码,这将导致分配零字节缓冲区并导致基于堆的缓冲区溢出。

解决建议
建议您更新当前系统或软件至最新版,完成漏洞的修复。
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 avaya call_management_system_server 11.0 -
运行在以下环境
应用 avaya call_management_system_server 12.0 -
运行在以下环境
应用 avaya call_management_system_server 13.0 -
运行在以下环境
应用 avaya call_management_system_server 8.0 -
运行在以下环境
应用 avaya call_management_system_server 9.0 -
运行在以下环境
应用 avaya cvlan * -
运行在以下环境
应用 avaya integrated_management * -
运行在以下环境
应用 avaya interactive_response * -
运行在以下环境
应用 avaya interactive_response 1.2.1 -
运行在以下环境
应用 avaya interactive_response 1.3 -
运行在以下环境
应用 avaya intuity_audix_lx * -
运行在以下环境
应用 avaya mn100 * -
运行在以下环境
应用 f5 icontrol_service_manager 1.3 -
运行在以下环境
应用 f5 icontrol_service_manager 1.3.4 -
运行在以下环境
应用 f5 icontrol_service_manager 1.3.5 -
运行在以下环境
应用 f5 icontrol_service_manager 1.3.6 -
运行在以下环境
应用 libtiff libtiff 3.4 -
运行在以下环境
应用 libtiff libtiff 3.5.1 -
运行在以下环境
应用 libtiff libtiff 3.5.2 -
运行在以下环境
应用 libtiff libtiff 3.5.3 -
运行在以下环境
应用 libtiff libtiff 3.5.4 -
运行在以下环境
应用 libtiff libtiff 3.5.5 -
运行在以下环境
应用 libtiff libtiff 3.5.7 -
运行在以下环境
应用 libtiff libtiff 3.6.0 -
运行在以下环境
应用 libtiff libtiff 3.6.1 -
运行在以下环境
应用 libtiff libtiff 3.7.0 -
运行在以下环境
应用 sgi propack 3.0 -
CVSS3评分
7.5
  • 攻击路径
    网络
  • 攻击复杂度
  • 权限要求
  • 影响范围
    N/A
  • 用户交互
  • 可用性
    部分地
  • 保密性
    部分地
  • 完整性
    部分地
CWE-ID 漏洞类型
NVD-CWE-Other
阿里云安全产品覆盖情况